| Earth Observation Mission CFI Software Orbit Software User Manual |

Public Member Functions | Public Attributes

# EECFI::RelANXTime Class Reference

This class contains a time instant given as a relative orbit number plus the time elapsed since the ANX. More...

Inheritance diagram for EECFI::RelANXTime:

List of all members.

## Public Member Functions
| RelANXTime ()
| Class constructor.
| RelANXTime (long orbitIn, long cycleIn, long secondsIn, long microsecIn)
| Class constructor.
| RelANXTime (const OrbitId &orbitId, long orbitIn, long cycleIn, long secondsIn, long microsecIn) throw (CfiError)
| Class constructor with parameters using OrbitId.
| RelANXTime (const RelANXTime &at)
| Copy class constructor.
| ~RelANXTime ()
| Class destructor.
ANXTime | toAbsolute () const throw (CfiError)
| Returns the absolute orbit corresponding to the RelANXTime object..
void | fromAbsolute (const ANXTime &anxTime) throw (CfiError)
| Set the RelANXTime object from an input ANXTime object.
void | operator= (const RelANXTime &t)
| Assigment operator.
## Public Attributes
long | orbit
| Relative orbit number.
long | cycle
| Cycle number.
long | seconds
| Seconds since the ANX.
long | microseconds
| Microseconds.

## Detailed Description

This class contains a time instant given as a relative orbit number plus the time elapsed since the ANX.

## Constructor & Destructor Documentation

EECFI::RelANXTime::RelANXTime | ( |  | ) |

Class constructor.

If no OrbitId is provided in constructor, the object can only be used as data container.

EECFI::RelANXTime::RelANXTime | ( | long | orbitIn,
|  | long | cycleIn,
|  | long | secondsIn,
|  | long | microsecIn |
| ) |  |  |

Class constructor.

If no OrbitId is provided in constructor, the object can only be used as data container.

Parameters:

  | orbitIn | Relative orbit.
  | cycleIn | Cycle of orbit..
  | secondsIn | Seconds.
  | microsecIn | Microseconds..

References cycle, microseconds, orbit, and seconds.

EECFI::RelANXTime::RelANXTime | ( | const OrbitId & | orbitIdIn,
|  | long | orbitIn,
|  | long | cycleIn,
|  | long | secondsIn,
|  | long | microsecIn |
| ) |  |  | throw (CfiError)

Class constructor with parameters using OrbitId.

Parameters:

  | orbitIdIn | Orbit Id.
  | orbitIn | Relative orbit.
  | cycleIn | Cycle of orbit.
  | secondsIn | Seconds.
  | microsecIn | Microseconds.

EECFI::RelANXTime::RelANXTime | ( | const RelANXTime & | rt | ) |

Copy class constructor.

Parameters:

  | rt | Object to be copied..

References cycle, microseconds, orbit, and seconds.

EECFI::RelANXTime::~RelANXTime | ( |  | ) |

Class destructor.

## Member Function Documentation

void EECFI::RelANXTime::fromAbsolute | ( | const ANXTime & | anxTime | ) | throw (CfiError)

Set the RelANXTime object from an input ANXTime object.

Parameters:

  | anxTime | ANXTime object with absolute values.

References EECFI::CfiError::addMsg(), EECFI::OrbitInfo::cycle, and EECFI::OrbitInfo::relOrbit.

void EECFI::RelANXTime::operator= | ( | const RelANXTime & | t | ) |

Assigment operator.

Parameters:

  | t | RelANXTime object we want to copy values into this one.

References cycle, microseconds, orbit, and seconds.

ANXTime EECFI::RelANXTime::toAbsolute | ( |  | ) | const throw (CfiError)

Returns the absolute orbit corresponding to the RelANXTime object..

Returns:
  ANXTime object with absolute orbit.

References EECFI::OrbitInfo::absOrbit, EECFI::CfiError::addMsg(), cycle, EECFI::OrbitId::getOrbitNumbersFromRel(), microseconds, EECFI::ANXTime::microseconds, EECFI::ANXTime::orbit, orbit, seconds, and EECFI::ANXTime::seconds.

Referenced by EECFI::RelTimeSegment::toAbsolute().

## Member Data Documentation

long EECFI::RelANXTime::cycle

Cycle number.

Referenced by operator=(), RelANXTime(), and toAbsolute().

long EECFI::RelANXTime::microseconds

Microseconds.

Referenced by operator=(), RelANXTime(), and toAbsolute().

long EECFI::RelANXTime::orbit

Relative orbit number.

Referenced by operator=(), RelANXTime(), and toAbsolute().

long EECFI::RelANXTime::seconds

Seconds since the ANX.

Referenced by operator=(), RelANXTime(), and toAbsolute().